Installation/Linux/OpenFOAM-2.2.0

From OpenFOAMWiki
Maintainer
The current maintainer of this page is Wyldckat (talk).


1 Introduction

This page aims to explain how to install OpenFOAM OF Version 220.png on any Linux Distribution.

In the following chapters and sections is explained how to generally install OpenFOAM 2.2.0 and related dependencies, such as ParaView:

For dedicated instructions (complete and/or partial) for each Linux Distribution:

Installation/Linux/OpenFOAM-2.2.0/CentOS SL RHELInstallation/Linux/OpenFOAM-2.2.0/DebianInstallation/Linux/OpenFOAM-2.2.0/Fedora
Installation/Linux/OpenFOAM-2.2.0/GentooInstallation/Linux/OpenFOAM-2.2.0/UbuntuInstallation/Linux/OpenFOAM-2.2.0/openSUSE


2 Installing from source code

The official instructions are made available here: Source Pack Installation - version 2.2.0

A few details to keep in mind:

  1. As of OpenFOAM 2.2.0, the minimum required GCC version is 4.5.0. This implies one of the following situations:
    1. You should use a recent Linux Distribution, so that it can provide GCC 4.5 or any newer version.
    2. In case you have to use an older Linux Distribution and the GCC version provided is older than 4.4, then you'll have to build GCC from source code.
  2. When it comes to ParaView, it's possible to avoid the need to build it from source code. If your Linux Distribution provides ParaView 3.12.0 or newer, you don't need to build ParaView from source code. Simply run:
    paraFoam -builtin
    and it will open the case in ParaView.
    • If the previous command worked, you can add the following alias command in your ~/.bashrc file:
      alias paraFoam='paraFoam -builtin'
    • In case you have an old Linux Distribution and still don't want to build ParaView from source code, get the latest binary version for Linux from ParaView's official website. Then add to your ~/.bashrc file the following line (adapt accordingly):
      export PATH=$HOME/Downloads/ParaView-3.98.1/bin:$PATH